//
// Classe de base pour les connections reseau en IP
// D.Etasse, D.Cussol : 16/06/2006
//

#ifndef FIPTcpServer_h
#define FIPTcpServer_h

#include "FIPConnection.h"

class FIPTcpServer : public FIPConnection
 {
 protected:
   Int_t		sconnected;	 //!
   struct sockaddr_in	connectedSock;	 //!
   Int_t		connectedSockLen;//!
   
 private:
   void Init(void);
 
 public:
   FIPTcpServer(void); 		     // constructeur par default
   FIPTcpServer(const FIPTcpServer& conn); // constructeur par copie
   virtual void Copy(TObject& c) const; // copie
   FIPTcpServer& operator=(const FIPTcpServer& conn); // operateur =
   ~FIPTcpServer(void); 		     // destructeur
 
   virtual void Open(Int_t port, Char_t *ipaddress=0);
   virtual Int_t  ReadBuf(UChar_t *buf,Int_t bufLen);
   virtual Int_t  WriteBuf(UChar_t *buf,Int_t bufLen);
   
   ClassDef(FIPTcpServer,1)
 
 };
#endif
